<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if(isset($_POST['name'])&&isset($_POST['count'])&&isset($_POST['timestart'])&&isset($_POST['timeend'])){
	if(!is_numeric($_POST['count']) or $_POST['count'] <= 0 or $_POST['count'] > 999){
 $return['code'] = 1;
 $return['text'] = 'Giới hạn nhập không được nhỏ hơn 0 hoặc lớn hơn 999';
	} else {
			// tạo code
			$Cover_Start = strtotime(str_replace('/','-',$_POST['timestart'])); 
			$Cover_End   = strtotime(str_replace('/','-',$_POST['timeend']));
			if($Cover_Start == "" or $Cover_Start == null or $Cover_End == "" or $Cover_End == null){
 $return['code'] = 1;
 $return['text'] = 'Thời gian Bắt đầu hoặc Kết thúc có định dạng là 00/00/0000';					
			} else {
			//Select TOP ID
			$get_ID = mysqli_fetch_array(mysqli_query($conn,"Select * from giftcode WHERE IDEvent = '".$_POST['idevent']."'"),MYSQLI_ASSOC);
				if($get_ID['IDEvent']){
					mysqli_query($conn, "UPDATE giftcode Set EventName = N'".$_POST['name']."',Count_Click = '".$_POST['count']."',TimerStart = '$Cover_Start',TimerEnd = '$Cover_End' WHERE IDEvent = '".$_POST['idevent']."'");
 $return['code'] = 0;
 $return['text'] = 'Chỉnh sữa thành công. Hãy Load lại trang';
				} else {
 $return['code'] = 1;
 $return['text'] = 'Event này không tồn tại.';					
				}
		}
	}
} else {
 $return['code'] = 1;
 $return['text'] = 'Vui lòng nhập đầy đủ theo yêu cầu.';
}

		echo json_encode($return);
		exit();	
}
?>